# Uses of Class
com.databricks.jdbc.exception.DatabricksHttpException

Packages that use DatabricksHttpException
Package
Description
com.databricks.jdbc.api.impl.volume
com.databricks.jdbc.common.util
com.databricks.jdbc.dbclient
com.databricks.jdbc.dbclient.impl.http
com.databricks.jdbc.dbclient.impl.sqlexec

## Uses of DatabricksHttpException in com.databricks.jdbc.api.impl.volume

Methods in com.databricks.jdbc.api.impl.volume that throw DatabricksHttpException
Modifier and Type
Method
Description
`static IDatabricksVolumeClient`
DatabricksVolumeClientFactory.`getVolumeClient(IDatabricksConnectionContext connectionContext)`
Creates an instance of the DBFVolumeClient from the given connectionContext.

## Uses of DatabricksHttpException in com.databricks.jdbc.common.util

Methods in com.databricks.jdbc.common.util that throw DatabricksHttpException
Modifier and Type
Method
Description
`static void`
DatabricksThriftUtil.`checkDirectResultsForErrorStatus(TSparkDirectResults directResults, String context, String statementId)`
`static void`
ValidationUtil.`checkHTTPError(org.apache.http.HttpResponse response)`
`static void`
DatabricksThriftUtil.`verifySuccessStatus(TStatus status, String errorContext)`
`static void`
DatabricksThriftUtil.`verifySuccessStatus(TStatus status, String errorContext, String statementId)`

## Uses of DatabricksHttpException in com.databricks.jdbc.dbclient

Methods in com.databricks.jdbc.dbclient that throw DatabricksHttpException
Modifier and Type
Method
Description
`org.apache.http.client.methods.CloseableHttpResponse`
IDatabricksHttpClient.`execute(org.apache.http.client.methods.HttpUriRequest request)`
Executes the given http request and returns the response
`org.apache.http.client.methods.CloseableHttpResponse`
IDatabricksHttpClient.`execute(org.apache.http.client.methods.HttpUriRequest request, boolean supportGzipEncoding)`
Executes the given http request and returns the response

## Uses of DatabricksHttpException in com.databricks.jdbc.dbclient.impl.http

Methods in com.databricks.jdbc.dbclient.impl.http that throw DatabricksHttpException
Modifier and Type
Method
Description
`org.apache.http.client.methods.CloseableHttpResponse`
DatabricksHttpClient.`execute(org.apache.http.client.methods.HttpUriRequest request)`
`org.apache.http.client.methods.CloseableHttpResponse`
DatabricksHttpClient.`execute(org.apache.http.client.methods.HttpUriRequest request, boolean supportGzipEncoding)`

## Uses of DatabricksHttpException in com.databricks.jdbc.dbclient.impl.sqlexec

Constructors in com.databricks.jdbc.dbclient.impl.sqlexec that throw DatabricksHttpException
Modifier
Constructor
Description
``
`DatabricksSdkClient(IDatabricksConnectionContext connectionContext)`
``
`DatabricksSdkClient(IDatabricksConnectionContext connectionContext, com.databricks.sdk.service.sql.StatementExecutionService statementExecutionService, com.databricks.sdk.core.ApiClient apiClient)`